Foxit PDF SDK

Public Member Functions | List of all members
foxit::addon::xfa::WidgetChoiceOptionArray Class Reference

Inherits Object.

## Public Member Functions
| WidgetChoiceOptionArray ()
| Constructor.
| WidgetChoiceOptionArray (const WidgetChoiceOptionArray &other)
| Constructor, with another array object. More...
| ~ WidgetChoiceOptionArray ()
| Destructor.
void | Add (const WidgetChoiceOption &element)
| Add an element to the end of current array. More...
WidgetChoiceOption | GetAt (size_t index) const
| Retrieve a copy of the element at position specified by index in current array. More...
size_t | GetSize () const
| Get the size of elements in current array. More...
void | InsertAt (size_t index, const WidgetChoiceOption &element)
| Insert an element before the position specified by index. More...
WidgetChoiceOptionArray & | operator= (const WidgetChoiceOptionArray &other)
| Assign operator. More...
WidgetChoiceOption & | operator[] (size_t index) const
| Retrieve a reference to the element at position specified by index in current array. More...
void | RemoveAll ()
| Remove all the element from current array. More...
void | RemoveAt (size_t index)
| Remove the element in position specified by index. More...

## Detailed Description

This class represents an array of choice options.

## Constructor & Destructor Documentation

## ◆ WidgetChoiceOptionArray()

foxit::addon::xfa::WidgetChoiceOptionArray::WidgetChoiceOptionArray | ( | const WidgetChoiceOptionArray & | other | ) |

Constructor, with another array object.

Parameters

  [in] | other | Another array object.

## Member Function Documentation

## ◆ Add()

void foxit::addon::xfa::WidgetChoiceOptionArray::Add | ( | const WidgetChoiceOption & | element | ) |

Add an element to the end of current array.

Parameters

  [in] | element | New element to be added to current array.

Returns
  None.

## ◆ GetAt()

WidgetChoiceOption foxit::addon::xfa::WidgetChoiceOptionArray::GetAt | ( | size_t | index | ) | const

Retrieve a copy of the element at position specified by index in current array.

Parameters

  [in] | index | An index to specify which element is to be retrieved.

Returns
  A copy of an element.

## ◆ GetSize()

size_t foxit::addon::xfa::WidgetChoiceOptionArray::GetSize | ( |  | ) | const

Get the size of elements in current array.

Returns
  The size.

## ◆ InsertAt()

void foxit::addon::xfa::WidgetChoiceOptionArray::InsertAt | ( | size_t | index,
|  | const WidgetChoiceOption & | element
| ) |  |

Insert an element before the position specified by index.

Parameters

  [in] | index | An index to specify where to insert the new element. Valid range: from 0 to (size-1). size is the size of elements in current array.
  [in] | element | New element to be inserted to current array.

Returns
  None.

## ◆ operator=()

WidgetChoiceOptionArray& foxit::addon::xfa::WidgetChoiceOptionArray::operator= | ( | const WidgetChoiceOptionArray & | other | ) |

Assign operator.

Parameters

  [in] | other | Another array object, whose value will be assigned to current object.

Returns
  Reference to current object itself.

## ◆ operator[]()

WidgetChoiceOption& foxit::addon::xfa::WidgetChoiceOptionArray::operator[] | ( | size_t | index | ) | const

Retrieve a reference to the element at position specified by index in current array.

Parameters

  [in] | index | An index to specify which element is to be retrieved.

Returns
  Reference to an element.

## ◆ RemoveAll()

void foxit::addon::xfa::WidgetChoiceOptionArray::RemoveAll | ( |  | ) |

Remove all the element from current array.

Returns
  None.

## ◆ RemoveAt()

void foxit::addon::xfa::WidgetChoiceOptionArray::RemoveAt | ( | size_t | index | ) |

Remove the element in position specified by index.

Parameters

  [in] | index | An index to specify which element is to be removed. Valid range: from 0 to (size-1). size is the size of elements in current array.

Returns
  None.